<?php

require_once("../../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");

if (!comprobar_sesion()) {
    $responce->page = 0;
    $responce->total = 0;
    $responce->records = "0";
    echo json_encode($response);
    exit();
} 
require_once("../../includes/MySQL.php");

$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));
require_once("../../includes/funciones_buscador.php");



$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction

if (!$sidx)
    $sidx = 1;
if (!$sord)
    $sord = "asc";
if (!$limit)
    $limit = 10;


$codjornada = (int)$_REQUEST["jor"]; //query number
$codSede = (int)$_REQUEST["sede"]; //query number

$wh = " and cod_sede=$codSede and cod_jornada=$codjornada ";
$searchOn = Strip($_REQUEST['_search']);
if ($searchOn == 'true') {
    $searchstr = Strip($_REQUEST['filters']);
    //$wh= constructWhere($searchstr);
    $jsona = json_decode($searchstr, true);
    $wh = " AND " . getStringForGroup($jsona);
}

$start = $limit * $page - $limit; // do not put $limit*($page - 1)
if ($start < 0)
    $start = 0;
$cmnomgrup = $sesion->getVar("configuracion.nombres_grupos");
//$cons="SELECT COUNT(*) AS count FROM adm_administrativos WHERE 1=1 ".$wh;

$SQL = 'select SQL_CALC_FOUND_ROWS cod_grupo,concat_ws("",nom_grado," ", ' . $cmnomgrup . ') as grupo, nom_ape as director '
        . 'from view_datos_grupos '
        . 'where 1=1 ' . $wh . ' ORDER BY ' . $sidx . " " . $sord . " LIMIT $start , $limit ";

$academia->instruccion($SQL, 1);

$count = $academia->totReg();


if ($count > 0) {
    $total_pages = ceil($count / $limit);
} else {
    $total_pages = 0;
}

if ($page > $total_pages)
    $page = $total_pages;

//echo $SQL;
$responce->page = $page;
$responce->total = $total_pages;
$responce->records = $count;

$i = 0;
$aux = 0;
$formato_nombres = $sesion->getVar('configuracion.format_nom');
while ($row = $academia->extraer_registro()) {
    $responce->rows[$i]['id'] = $row['cod_grupo'];
    $responce->rows[$i]['cell'] = array(

        $row['grupo'],

        formatoPalabras($row['director'], $formato_nombres),
    );
    $i++;
}
if ($sesion->get('ac_usuario') == 'prointel')
    $responce->sql = $SQL;


$academia->liberar();

echo json_encode($responce);

$academia->cerrar();
?>

